Skip to main content
POST
/
api
/
v1
/
kyb
/
b2b
/
kyb
/
submit
Submit KYB
curl --request POST \
  --url https://api.hevn.finance/api/v1/kyb/b2b/kyb/submit \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "swipeluxCustomerId": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Query Parameters

provider
enum<string>
default:swipelux

Supported fiat payment providers.

Available options:
swipelux,
align,
mcp,
wirex

Response

Successful Response

Submit response.

success
boolean
required
swipeluxCustomerId
string
required
kybStatus
enum<string>
required

KYC verification status.

Available options:
not_started,
requested,
incorporating,
pending,
under_review,
in_review,
approved,
rejected
message
string | null